Bug 124858 - XFree86 is not compiling updated savage driver (1.1.27t)
XFree86 is not compiling updated savage driver (1.1.27t)
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86 (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-31 08:45 EDT by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-05 13:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-05-31 08:45:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
When building the XFree86 package with:

#> rpm --rebuild XFree86-4.1.0-58.EL.src.rpm

The updated S3 Savagee driver (1.1.27t) is copied in to the incorrect
directory, which means that the updated driver will not be compiled
and built in to the rpm package.

The savage driver used during the build is located in the 
/usr/src/redhat/BUILD/XFree86-4.1.0/xc/programs/Xserver/hw/xfree86/drivers/savage
directory, the updated driver is extracted into the 
/usr/src/redhat/BUILD/XFree86-4.1.0/xc/programs/Xserver/hw/xfree86/drivers/savage/savage
directory, which the compile will ignore, the end reslut is that the
original 1.1.16 driver will be compiled instead of the updated 1.1.27t
driver.

The extraction routine in the SPEC file is as follows:
# Drop in Savage driver update:
{
   echo "Applying SAVAGE driver tarball"
   pushd xc/programs/Xserver/hw/xfree86/drivers/savage
   tar zxvf %{SOURCE14}
   popd
}

Changing the pushd line to:
pushd xc/programs/Xserver/hw/xfree86/drivers
will extract the driver into the correct folder, and the build process
will compile and build the correct driver version.

This happens bcause the driver package extracts the files to a
directory instead of directly into the target directory.

Note that the original XFree86-4.1.0-58.EL.i386.rpm is also using the
original savage driver (1.1.16), I expect that the intention was to
use updated driver when building the RPM's for XFree86.

Version-Release number of selected component (if applicable):
XFree86-4.1.0-58.EL

How reproducible:
Always

Steps to Reproduce:
1.Install and rebuild source RPM
2.Verify driver level after install with:
#> strings /usr/X11R6/lib/modules/drivers/savage_drv.o |grep version
3.
    

Additional info:

Note that the updated driver is required to fix issues with the S3
savage driver, only safe option on some systems is to run without a GUI.
Comment 1 Mike A. Harris 2004-07-05 13:27:15 EDT
Fixed in 4.1.0-61.EL internal test package.  Fix will also be
present in RHEL 2.1 U6 update.  If you would like to test the
internal package in the mean time, let me know and I'll make it
available for download on people.redhat.com

Thanks for reporting.
Comment 2 Need Real Name 2004-07-06 04:15:59 EDT
Thanks Mike, I'd appreciate it if you would make the RHEL 2.1 package
available to us, so we can verify if this is the problem that one of our
engineers are working on.
Comment 3 Mike A. Harris 2004-07-06 11:21:36 EDT
No problem

XFree86-4.1.0-61.EL is now available for download via 'yum' and ftp at
the following URL:  ftp://people.redhat.com/mharris/testing/2.1AS

Comment 4 Need Real Name 2004-07-07 10:13:52 EDT
Thanks, the updated packages seems to have resolved the S3 driver issues
I've seen.

Note You need to log in before you can comment on or make changes to this bug.